Skip to main content
GET
/
job
cURL
curl --request GET \
  --url https://api.collective.work/{environment}/v1/job \
  --header 'Authorization: Bearer <token>'
{
  "jobId": "<string>",
  "jobUrl": "<string>",
  "accountEmail": "<string>",
  "internalJobId": "<string>"
}

Authorizations

Authorization
string
header
required

API key given to you (If you don't have one, check this section)

Query Parameters

id
string
required

Unique identifier of the job (automatically generated by Collective) or Internal identifier of the job posting (provided by you when you created the job)

Response

Job successfully retrieved

jobId
string
required

Unique identifier of the job posting (automatically generated by Collective)

jobUrl
string<uri>
required

Public URL of the job on Collective

accountEmail
string
required

Email of the account on Collective under which this job will be posted.

internalJobId
string

Internal identifier of the job posting (provided by you when you created the job). It is returned only if it was provided at creation.